PETSc version 3.17.4
Fix/Edit manual page

# DMGetNumAuxiliaryVec

Get the number of auxiliary vectors associated with this DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetNumAuxiliaryVec(DM dm, PetscInt *numAux)

Not collective

### Input Parameter

| dm | - The DM

### Output Parameter

| numAux | - The number of auxiliary data vectors

### See Also

DMGetAuxiliaryLabels(), DMGetAuxiliaryVec(), DMSetAuxiliaryVec()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages